Bug 92667 - When open a document from Firefox/Thunderbird, LibreOffice window title retains '(read-only)' after exiting read-only mode
Summary: When open a document from Firefox/Thunderbird, LibreOffice window title retai...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.5.1 rc
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2015-07-10 05:32 UTC by Kevin Suo
Modified: 2017-07-01 18:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2015-07-10 05:32:40 UTC
Steps:
1) Open a document from within Firefox downloaded list, or from within Thunderbird attachments.
2) Notice the window title has '(read-only)' next to the document name, and there is a warning infobar which warns that the document is currently open in read-only mode.
3) Click the 'Edit Document' button in the infobar or the 'Edit File' button in the toolbar
4) Document is now in edit mode, but the text '(read-only)' is still in the window title.

This bug is similar to bug 87545 (which was already fixed). In bug 87545 the document is open using the file open dialog; in this bug I am reporting, the document is open from Firefox/Thunderbird.

Version: 4.4.5.1
Build ID: 1b6df295803ea040dab1b48b5424da8d78d94cf0
Locale: zh_CN
Win X86
Comment 1 Kevin Suo 2015-07-10 05:34:28 UTC
Adding Stephan Bergmann to cc list, as he prepared the patch for bug 87545.
Comment 2 Joel Madero 2015-07-11 22:32:45 UTC
Confirmed:

Ubuntu 15.04  x64
LibreOffice
Version: 4.4.4.3
Build ID: 40m0(Build:3)
Locale: en_US.UTF-8


Setting to:

Trivial - it's not read-only, just a trivial wording issue

Lowest - default for trivial issues

My guess is this is inherited from OOo but I can't check that right now. If someone else could it'd be great to get the version field right (or add "regression" to keywords if it is in fact a regression)
Comment 3 QA Administrators 2016-09-20 10:14:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920